function TMS_superDona_fit_bob()
pHstring = 'pH 7';
%C1data = [xlsread('MdataBob',pHstring,'B4:B7')' xlsread('MdataBob',pHstring,'B4:B7')' xlsread('MdataBob',pHstring,'B4:B7')']*1000; %mM
C1data = [xlsread('MdataBob',pHstring,'B4:B11')' xlsread('MdataBob',pHstring,'B4:B11')' xlsread('MdataBob',pHstring,'B4:B11')']*1000; %mM
%C2overC1= [xlsread('MdataBob',pHstring,'C4:C11')' xlsread('MdataBob',pHstring,'C4:C11')' xlsread('MdataBob',pHstring,'C4:C11')']*1000; %mM
C2overC1 = [5*ones(size(C1data))];
%1.029e-9*ones(1,length(C1data)); % in case you switch salts
%D2 = 2.032e-9*ones(1,length(C1data));

% D1 = 1.957e-9*ones(1,length(C1data));
D1 = [1.957e-9*ones(1,8) 1.957e-9*ones(1,8) 1.957e-9*ones(1,8)];
% in case you switch salts
% D2 = 1.065e-9*ones(1,length(C1data));
D2 = [2.032e-9*ones(1,8) 2.032e-9*ones(1,8) 2.032e-9*ones(1,8)];
% C1data = [C1data_KCl C1data_NaCl C1data_KCl];
% C2overC1 = [C2overC1_KCl C2overC1_NaCl C2overC1_LiCl];
% D1 = [D1_KCl D1_NaCl D1_LiCl];
% D2 = [D2_KCl D2_NaCl D2_LiCl];
% phiData = [phiData_KCl phiData_NaCl phiData_LiCl];
phiData=-[xlsread('MdataBob',pHstring,'G4:G11')' xlsread('MdataBob',pHstring,'H4:H11')' xlsread('MdataBob',pHstring,'I4:I11')'];
Cr_guess = 10; % mM
alpha_guess =  0.6599;% effectiveness factor
D1overD2_guess = 1;
C2=[xlsread('MdataBob',pHstring,'C4:C11')' xlsread('MdataBob',pHstring,'C4:C11')' xlsread('MdataBob',pHstring,'C4:C11')']*1000; %mM
options = optimset('Display','iter');

[betas,resnorm,res,exitflag,output,lambda,jac] = lsqcurvefit(@TMS_calculator,[Cr_guess alpha_guess D1overD2_guess],C1data,phiData,[-100 -1 -100],[100 1 100],options,C2,D1,D2);

[std,varresid,r2,cor,vcv,varinf]=regdata(betas,phiData+res,phiData,jac);   
%note Bob: why use res here rather then betas to plot the solution
%function? Just because it is faster to note down then
%f(beta(1),beta(2),beta(3))  or another reason?
%note Bob: what is a probability plot in this case?

-phiData';

phiCalc = -(phiData+res)';

%
figure (3)
semilogx(C1data,-phiData,'o',C1data,-(phiData+res),'--') %note Bob: why is there a y=C-x plot going on here??? (the dotted part)

% TMS 
Cr = betas(1); % mM
alpha = betas(2);
D1overD2 = betas(3);
%C2overC1 = 5;
%C1 = logspace(-1,2,50);
C1=C1data;

%D1 = 1.33e-9; % Na
%D2 = 2.03e-9; % Cl
%alpha = 0.65; % "permselectivity" actually, effectiveness factor for leaks - intrinsic to membrane, independent of salt
u = (1-D1overD2)./(1+D1overD2);
%u = -0.15;
R = 8.314; % 8.314 J/mol K
F = 1.609e-19*6.022e23; % C/mol
T = 298; % K

CorrectFactor = (sqrt(4.*C1.^2+Cr.^2)+Cr)./(sqrt(4.*C2.^2+Cr.^2)+Cr);

deltaPhi_donnan = -R*T/F*log(C2./C1data.*CorrectFactor)';
deltaPhi_diff = -R.*T./F.*u.*log((sqrt(4.*C2.^2+Cr.^2)+u.*Cr)./(sqrt(4.*C1.^2+Cr.^2)+u.*Cr));
deltaPhi_diff = deltaPhi_diff';
deltaPhi_calc = alpha.*(deltaPhi_donnan)+deltaPhi_diff;
deltaPhi_calc = deltaPhi_calc;

deltaPhi_donnan_Dona = deltaPhi_donnan(1:8)
deltaPhi_diff_Dona = deltaPhi_diff(1:8)
deltaPhi_calc_Dona = deltaPhi_calc(1:8)



function F = TMS_calculator(betas,C1,C2,D1,D2)

% TMS 
Cr = betas(1); % mM
alpha = betas(2);
D1overD2 = betas(3);
%C2overC1 = 5;
%C1 = logspace(-1,2,50);
%C2=C2overC1.*C1;
%D1 = 1.33e-9; % Na
%D2 = 2.03e-9; % Cl
%alpha = 0.65; % "permselectivity" actually, effectiveness factor for leaks - intrinsic to membrane, independent of salt
u = (1-D1overD2)./(1+D1overD2);
%u = -0.15;
R = 8.314; % 8.314 J/mol K
F = 1.609e-19*6.022e23; % C/mol
T = 298; % K

CorrectFactor = (sqrt(4.*C1.^2+Cr.^2)+Cr)./(sqrt(4.*C2.^2+Cr.^2)+Cr);

deltaPhi_donnan = -R*T/F.*log(C2./C1.*CorrectFactor);
deltaPhi_diff = -R.*T./F.*u.*log((sqrt(4.*C2.^2+Cr.^2)+u.*Cr)./(sqrt(4.*C1.^2+Cr.^2)+u.*Cr));
deltaPhi1 = alpha.*(deltaPhi_donnan)+deltaPhi_diff;
F = deltaPhi1;
figure(4)          %note Bob: why is this plot here? Just to keep and eye on the iterations? Why plot this?
semilogx(C1,-deltaPhi1,'s',C1,-deltaPhi_diff,'*',C1,-alpha*deltaPhi_donnan,'^')
%note Bob: why is the diffusion term multiplied by alpha here?